<template>
<v-app>
    <div>
    <!-- テンキー出す奴-->
    <!-- ReadOnlyに設定する事でデフォルトのキーパッド出現を食い止める-->
    <input  type="text" name="price" class="keypad" v-model="inputVal"  placeholder="ここをタップ" readonly="readonly">
   <!-- -テンキーだけのキーパッド -->
    <div id="customKeypad" v-show="showTenkey">
        <P id="ckp_result" v-model="inputVal"></p>
        <ul id="ckp_btnAll">
            <li data-key="7">7</li>
            <li data-key="8">8</li>
            <li data-key="9">9</li>
            <li data-key="4">4</li>
            <li data-key="5">5</li>
            <li data-key="6">6</li>
            <li data-key="1">1</li>
            <li data-key="2">2</li>
            <li data-key="3">3</li>
            <li data-key="0" id="ckp_key0">0</li>
            <li data-key="clear" id="ckp_clear">clear</li>
            <li data-key="hide" id="ckp_hide">x</li>
            <li data-key="ent" id="ckp_enter">OK</li>
        </ul>
    </div>
    </div>
</v-app>
</template>

<script>
  import { validationMixin } from 'vuelidate'
  import { required} from 'vuelidate/lib/validators'
export default {

    mixins: [validationMixin],

    validations: {
      inputVal: { required},
    },
    data(){
        return{
             //テンキーを反応させたいinput要素のclass名を定義---------------------------------
            keyClass:'.keypad',
            // 端末判定  
            ua:navigator.userAgent,
            tabFlag:false,
            valText:"",
            showTenkey:false,
            inputVal:""
        }

    },
    mounted: function() {
        
        window.$(function() {
        //反応させたいinput要素のclass名を定義---------------------------------
         var keyClass = '.keypad';
        //端末判定---------------------------------
          var ua = navigator.userAgent;
         if (ua.indexOf('iPhone') > 0 || ua.indexOf('iPad') > 0 || ua.indexOf('Android') > 0) {
              var tabFlag = true; //iPhone、iPad、Androidの場合trueに
          } else {
                 tabFlag = false; //それ以外の場合falseに
         }


         //端末判定の結果に合わせて動作
         if (tabFlag == true) {
             //タブレット端末--------------------------------
            window.$(keyClass).on("click", function() {
                 if (!window.$('#customKeypad').is(':visible')) {
                    window.$('#customKeypad').show();
                    var val = window.$(this).val();
                     window.$('#ckp_result').text(val);
                }
            });

             window.$('#ckp_btnAll li').on("click", function() 
             {
                 var valText = window.$('#ckp_result').text();
                 var key = window.$(this).attr('data-key');
                 console.log(key);
                 if (key == 'ent') {
                      //Enter
                      window.$(keyClass).attr('value', valText);
                      window.$('#ckp_result').text();
                      window.$('#customKeypad').hide();
                 } else if (key == 'clear') {
                     // clear
                window.$('#ckp_result').text(valText.slice(0, -1));

                 } else if (key == 'hide') {
                     window.$('#customKeypad').hide();
                  } else {
                     //数字キー
                     if (valText == '0') {
                          window.$('#ckp_result').text(key);
                     } else {
                         window.$('#ckp_result').text(valText + key);
                     }
                  }

             });
        }   
    });

        
    },

    methods: {
       
    
}
}

</script>
<style >

/*微妙にいくつかのスタイルが消える */

.capitalize {
    text-transform: capitalize;
}

#customKeypad {
    display: none;
    width: 40vw;
    border: #DDD solid 2px;
    background: #FFF;
    border-radius: 5px;
    padding: 3vw;
    box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.25);
    box-sizing: border-box !important;
    position: fixed;
    top: 20vw;
    left: 30vw;
}

#ckp_result {
    display: block;
    width: 100%;
    min-height: 1em;
    line-height: 100%;
    border-radius: 8px;
    padding: 1.5vw 3vw;
    text-align: right;
    margin-bottom: 3vw;
    font-size: 3.6vw;
    border: #DDD solid 1px;
    background: #DFDFDF;
    color: #333;
    box-sizing: border-box;
    position: relative;
    cursor: pointer;
}

#ckp_btnAll {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: stretch;
    padding: 0;
    margin: 0;
}

#ckp_btnAll li {
    list-style: none;
    font-size: 3vw;
    width: calc((100% - 2vw) / 3);
    text-align: center;
    padding: 1vw 0;
    color: #FFF;
    background: #666;
    font-weight: bold;
    border-radius: 8px;
    margin-right: 1vw;
    margin-bottom: 1vw;
    box-sizing: border-box;
    cursor: pointer;
}

#ckp_btnAll li:nth-child(3n) {
    margin-right: 0;
}

#ckp_btnAll li#ckp_key0 {
    width: calc(((100% - 1vw) / 3) * 3);
}

#ckp_btnAll li#ckp_enter {
    background: #ea7433;
    margin-right: 0;
}

</style>